diff deploy/osx/deploy.sh @ 667:0f3e086066fc qt5

Start reworking deployment scripts
author Chris Cannam
date Fri, 27 May 2016 09:56:22 +0100
parents 5ac4e821ee7b
children 8f3075eeaac2
line wrap: on
line diff
--- a/deploy/osx/deploy.sh	Fri May 27 09:55:56 2016 +0100
+++ b/deploy/osx/deploy.sh	Fri May 27 09:56:22 2016 +0100
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+set -e
+
 # Execute this from the top-level directory of the project (the one
 # that contains the .app bundle).  Supply the name of the .app bundle
 # as argument (the target will use $app.app regardless, but we need
@@ -13,6 +15,8 @@
 fi
 app=EasyMercurial
 
+set -u
+
 version=`perl -p -e 's/^[^"]*"([^"]*)".*$/$1/' src/version.h`
 case "$version" in
     [0-9].[0-9]) bundleVersion="$version".0 ;;
@@ -21,6 +25,30 @@
 esac
 
 echo
+echo "Copying in frameworks and plugins from Qt installation directory."
+
+deploy/osx/copy-qt.sh "$app" || exit 2
+
+echo
+echo "Fixing up paths."
+
+deploy/osx/paths.sh "$app"
+
+echo
+echo "Copying in qt.conf to set local-only plugin paths."
+echo "Make sure all necessary Qt plugins are in $source/Contents/plugins/*"
+echo "You probably want platforms/, accessible/ and imageformats/ subdirectories."
+cp deploy/osx/qt.conf "$source"/Contents/Resources/qt.conf
+
+echo "Writing version $bundleVersion in to bundle."
+echo "(This should be a three-part number: major.minor.point)"
+
+perl -p -e "s/EASYHG_VERSION/$bundleVersion/" deploy/osx/Info.plist \
+    > "$source"/Contents/Info.plist
+
+echo "Done: check $source/Contents/Info.plist for sanity please"
+
+echo
 echo "Making target tree."
 
 volume="$app"-"$version"
@@ -31,17 +59,11 @@
 
 ln -s /Applications "$volume"/Applications
 cp COPYING "$volume/COPYING.txt"
-cp -RPp "$source" "$target"
+cp -rp "$source" "$target"
 
 echo "Done"
 
-echo "Writing version $bundleVersion in to bundle."
-echo "(This should be a three-part number: major.minor.point)"
-
-perl -p -e "s/EASYHG_VERSION/$bundleVersion/" deploy/osx/Info.plist \
-    > "$target"/Contents/Info.plist
-
-echo "Done: check $target/Contents/Info.plist for sanity please"
+deploy/osx/sign.sh "$volume" || exit 1
 
 echo
 echo "Making dmg..."